import request from '@/utils/request'

export function listCity(query) {
  return request({
    url: '/city/list',
    method: 'get',
    params: query
  })
}
export function listAllCity() {
  return request({
    url: '/city/all',
    method: 'get'
  })
}

export function createCity(data) {
  return request({
    url: '/city/create',
    method: 'post',
    data
  })
}

export function readCity(query) {
  return request({
    url: '/city/read',
    method: 'get',
    params: query
  })
}

export function updateCity(data) {
  return request({
    url: '/city/update',
    method: 'post',
    data
  })
}

export function deleteTopic(data) {
  return request({
    url: '/city/delete',
    method: 'post',
    data
  })
}

export function batchDeleteCity(data) {
  return request({
    url: '/city/batch-delete',
    method: 'post',
    data
  })
}
